%define real_name Digest-SHA

Summary:	Digest-SHA module for perl
Name:		perl-%{real_name}
Version: 5.31
Release: 1mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/M/MS/MSHELOR/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Digest::SHA is a complete implementation of the NIST Secure Hash Standard. It
gives Perl programmers a convenient way to calculate SHA-1, SHA-224, SHA-256,
SHA-384, and SHA-512 message digests.  The module can handle all types of
input, including partial-byte data.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*/Digest/SHA.pm
%{perl_vendorlib}/*/auto/Digest/SHA/SHA.so
%{_mandir}/*/*
%{_bindir}/shasum

%changelog
* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.31-1mdk
- New release 5.31

* Thu Sep 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.30-1mdk
- 5.30

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.29-1mdk
- new version
- fix sources url for rpmbuildupdate

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.28-1mdk
- 5.28

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 5.26-1mdk
- initial Mandriva package
